/* Resets */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
}

/* Style for the navigation */
nav {
    background-color: black;
}

nav ul {
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding: 1em 0;
}

nav li {
    width: 20%;
    text-align: center;
}

nav a {
    color: white;
    text-decoration: none;
}

/* Flexbox for the main content area */
main {
    display: flex;
    flex-wrap: wrap; /* Ensures responsiveness */
}

article {
    flex: 0 1 60%;
    margin: 1.5em 2.52525% 0 2.0202%;
}

aside {
    flex: 0 1 40%;
    padding: 2.0202%;
    max-width: 200px;
    min-height: 180px;
    background-color: #ffebc6;
    margin: 1.5em 2.0202% 0 0;
}

footer {
    background-color: #ffc0cb; /* Light pink; you can choose your shade */
    padding: 1em 0;
    text-align: center;
}

/* Style for the image gallery container */
#galGrid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 20px;
    align-items: stretch;
}

/* Style for the images within the galGrid */
#galGrid img {
    border: 1px solid #cccccc;
    box-shadow: 2px 2px 6px 0px rgba(0,0,0,0.3);
    max-width: 100%;
    height: auto; /* Ensure that the aspect ratio of the images is maintained */
}
